### Function

# Aravis get_device_vendor

since: 0.6.0

#### Declaration [src]

    const char*
    arv_get_device_vendor (
      unsigned int index
    )

#### Description [src]

Queries the device vendor.

Prior to this call the `arv_update_device_list()` function must be called.

Available since: 0.6.0

#### Parameters

`index`

  Type: `unsigned int`

  Device index.

#### Return value

Type: `const char*`

The device vendor, NULL on error.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.